## org.apache.mahout.benchmark
Class BenchmarkRunner.BenchmarkFnD

    java.lang.Object
      org.apache.mahout.benchmark.BenchmarkRunner.BenchmarkFnD

All Implemented Interfaces:
  com.google.common.base.Function<Integer,Double>

Enclosing class:
  BenchmarkRunner

    public abstract static class BenchmarkRunner.BenchmarkFnD

extends Object
implements com.google.common.base.Function<Integer,Double>

Constructor Summary
`BenchmarkRunner.BenchmarkFnD()`

Method Summary
`protected boolean` `depends(Vector v)` Adds a random data dependency so that JVM does not remove dead code.
`protected boolean` `randBool()`
`protected int` `randIndex()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.common.base.Function
`apply, equals`

Constructor Detail

### BenchmarkRunner.BenchmarkFnD

    public BenchmarkRunner.BenchmarkFnD()

Method Detail

### randIndex

    protected int randIndex()

### randBool

    protected boolean randBool()

### depends

    protected boolean depends(Vector v)

  Adds a random data dependency so that JVM does not remove dead code.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.